View Issue Details

IDProjectCategoryView StatusLast Update
08641Feature requestsSurvey editingpublic2020-03-05 19:04
Reporterautopoiesis Assigned Tocdorin  
PrioritynormalSeverityfeature 
Status assignedResolutionopen 
Target Version2.06+ 
Summary08641: Quick add function doesn't work properly with multiple languages
Description

When you use the quick add replace function in 2.05 to enter answer options for an additional language, the base language answer options are also changed.

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2014-02-15 16:47

developer   ~28751

Hi,

Did you try:
QCODE;first language;second language
?

autopoiesis

autopoiesis

2014-02-16 16:02

reporter   ~28758

No, this is not how I used the function. Normally, we first create only a survey with 1 master language and translate and setup all aditional languages after everything is final. So I tried to use the quick add function with a single additional language.

DenisChenu

DenisChenu

2014-02-17 08:27

developer   ~28788

Maybe we have to test if there are more than one language and if there are no seperator in the quick add, then use 'selected' tab.
But then : only replace was accepted.

trivender

trivender

2015-06-16 21:17

updater   ~32390

Any idea in which version this bug will get fixed.

DenisChenu

DenisChenu

2015-06-17 08:26

developer   ~32392

Last edited: 2015-06-17 08:51

View 3 revisions

All the system are rewritten for ls3.
Actually, we have equivalent problem with label set : https://bugs.limesurvey.org/view.php?id=9448 fixed by "alert only". Then i think i put Target Version for 2.06 but :

  • <s>Control if SQ01;Answer FR;Answer EN work OR make it working</s> OK
  • Send an alert if : number of string is less than number of language.

See https://www.limesurvey.org/en/forum/installation-a-update-issues/100614-quick-add-function-doesn-t-work-properly-with-multiple-languages#121743 for the reason we can only send an alert.

trivender

trivender

2015-06-17 18:52

updater   ~32402

Suppose I have programmed survey in English and now I need to do translation in french.
#I open answer list and switch to French tab .
#Copy French answer labels from Excel and paste using quick add popup.

The problem is the English answer labels also gets changed to French. Ideally only French label should change because I am working in French tab.

DenisChenu

DenisChenu

2015-06-18 08:19

developer   ~32408

No, i explain why in the forum, it can break system too.

Yes - Oui
No - Non

to

Yes - Oui
?? - Peut ĂȘtre
No - Non

The best way is to replace all language. Only use ; for diferent language. We just have to send an alert if number of language are different.

In LibreOffice calc: you can use En string;Fr string. We have to put some information for this in GUI.

DenisChenu

DenisChenu

2015-06-19 17:35

developer   ~32440

I won't fix until 3.0 actually. There are no real need to fix.

blocka

blocka

2019-11-14 01:54

reporter   ~54569

Still encountering this issue five years later, in LS 3.19.3+191023.

It really is an issue, as I often build surveys in English, and a month later, along comes the French... And with long single/multiple choice type questions, with many answers, it is so frustrating to have to cut and paste in each individual French answer.

Maybe this could be easily addressed by having a single choice option on the Quick add panel that asks "Select language to replace or add" + All languages | Base language | list of other languages....

Issue History

Date Modified Username Field Change
2014-01-31 10:46 autopoiesis New Issue
2014-02-15 16:47 DenisChenu Note Added: 28751
2014-02-16 16:02 autopoiesis Note Added: 28758
2014-02-17 08:27 DenisChenu Note Added: 28788
2014-02-24 10:56 DenisChenu Assigned To => DenisChenu
2014-02-24 10:56 DenisChenu Status new => assigned
2014-02-24 10:56 DenisChenu Target Version => 2.1
2014-02-24 10:56 DenisChenu Project Development => Feature requests
2014-02-24 10:56 DenisChenu Category Data entry (non public) => Other issues
2014-02-24 10:57 DenisChenu Severity @50@ => feature
2014-02-24 10:57 DenisChenu Category Other issues => Accessibility
2014-02-24 10:57 DenisChenu Product Version 2.00 =>
2015-06-16 21:17 trivender Note Added: 32390
2015-06-17 08:26 DenisChenu Note Added: 32392
2015-06-17 08:26 DenisChenu Target Version 2.1 => 2.06+
2015-06-17 08:50 DenisChenu Note Edited: 32392 View Revisions
2015-06-17 08:51 DenisChenu Note Edited: 32392 View Revisions
2015-06-17 18:52 trivender Note Added: 32402
2015-06-18 08:19 DenisChenu Note Added: 32408
2015-06-19 17:34 DenisChenu Assigned To DenisChenu =>
2015-06-19 17:35 DenisChenu Note Added: 32440
2015-06-19 17:35 DenisChenu Status assigned => new
2015-11-02 17:49 DenisChenu Category Accessibility => Survey design
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2019-11-14 01:54 blocka Note Added: 54569
2020-03-05 19:04 cdorin Assigned To => cdorin
2020-03-05 19:04 cdorin Status new => assigned